### Method

# Gimp DrawableFilter set_visible

since: 3.0

#### Declaration [src]

    gboolean
    gimp_drawable_filter_set_visible (
      GimpDrawableFilter* filter,
      gboolean visible
    )

#### Description [src]

Set the visibility of the specified filter.

This procedure sets the specified filter’s visibility. The drawable won’t be immediately rendered. Use `gimp_drawable_update()` to trigger an update.

Available since: 3.0

#### Parameters

`visible`

  Type: `gboolean`

  The new filter visibility.

#### Return value

Type: `gboolean`

TRUE on success.